Bug 478942 - Review Request: perl-Catalyst-Authentication-Store-DBIx-Class - A storage class for Catalyst Authentication
Review Request: perl-Catalyst-Authentication-Store-DBIx-Class - A storage cla...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On: 478940
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-06 00:32 EST by Gabriel Somlo
Modified: 2009-01-14 22:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 21:55:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gabriel Somlo 2009-01-06 00:32:39 EST
Spec URL: http://mirror.net.cmu.edu/gls/10/spec/perl-Catalyst-Authentication-Store-DBIx-Class.spec
SRPM URL: http://mirror.net.cmu.edu/gls/10/source/perl-Catalyst-Authentication-Store-DBIx-Class-0.1082-1.fc10.src.rpm
Description:
The Catalyst::Authentication::Store::DBIx::Class class provides access
to authentication information stored in a database via DBIx::Class.
Comment 1 manuel wolfshant 2009-01-06 16:16:22 EST
Once again, pretty much standard. Most noticeable:
rpmlint of perl-Catalyst-Authentication-Store-DBIx-Class.src: W: filename-too-long-for-joliet perl-Catalyst-Authentication-Store-DBIx-Class-0.1082-1.fc10.src.rpm
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

rpmlint of perl-Catalyst-Authentication-Store-DBIx-Class:
perl-Catalyst-Authentication-Store-DBIx-Class.noarch: W: filename-too-long-for-joliet perl-Catalyst-Authentication-Store-DBIx-Class-0.1082-1.fc11.noarch.rpm
=> Both can be ignored but keep in mind that the package will not be able to be included in a standard CD. Source rpm name has 68 chars, binary has 71 chars and both exceed the limit of 64 specified for Joliet
sha1sum: ea63d54c6c5a5a1224d2913a795c68b537ea3733 Catalyst-Authentication-Store-DBIx-Class-0.1082.tar.gz
make test is OK.
License:
- same as perl for User.pm and Class.pm
- not specified for SimpleDB.pm


Could you please try to clarify with the author the situation of SimpleDB.pm ? Most probably it has the same license as the rest of the code (and as specified in the README) but a written proof would be better.
Comment 2 Gabriel Somlo 2009-01-08 14:34:35 EST
http://mirror.net.cmu.edu/gls/10/spec/perl-Catalyst-Authentication-Store-DBIx-Class.spec

http://mirror.net.cmu.edu/gls/10/source/perl-Catalyst-Authentication-Store-DBIx-Class-0.1082-2.fc10.src.rpm

These now contain an extra file, 'FedoraLicense.txt' which is an email reply
from the maintainer clarifying the license on SimpleDB.pm and promising to
include a blurb within the file itself.
Comment 3 manuel wolfshant 2009-01-08 17:56:18 EST
[wolfy@wolfy2 tmp]$ wget http://mirror.net.cmu.edu/gls/10/source/perl-Catalyst-Authent                        ication-Store-DBIx-Class-0.1082-2.fc10.src.rpm
--00:55:45--  http://mirror.net.cmu.edu/gls/10/source/perl-Catalyst-Authentication-Sto                        re-DBIx-Class-0.1082-2.fc10.src.rpm
Resolving mirror.net.cmu.edu... 128.2.4.9
Connecting to mirror.net.cmu.edu|128.2.4.9|:80... connected.
HTTP request sent, awaiting response... 403 Forbidden
00:55:45 ERROR 403: Forbidden.

chmod +r ?
Comment 4 Gabriel Somlo 2009-01-09 10:06:23 EST
> chmod +r ?

nope, chcon something-something :)

Didn't realize mv-ing something into /var/www/blah instead of cp-ing it would annoy selinux, now I know :)

If you try again now, it should work.

Sorry for the delay
--Gabriel
Comment 5 manuel wolfshant 2009-01-09 20:15:26 EST
Excellent. APPROVED
Comment 6 Gabriel Somlo 2009-01-10 18:04:48 EST
New Package CVS Request
=======================
Package Name: perl-Catalyst-Authentication-Store-DBIx-Class
Short Description: A storage class for Catalyst Authentication
Owners: somlo
Branches: F-9 F-10
InitialCC:
Comment 7 Kevin Fenzi 2009-01-11 12:08:42 EST
cvs done.
Comment 8 Fedora Update System 2009-01-12 14:33:58 EST
perl-Catalyst-Authentication-Store-DBIx-Class-0.1082-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Catalyst-Authentication-Store-DBIx-Class-0.1082-2.fc9
Comment 9 Fedora Update System 2009-01-12 14:34:07 EST
perl-Catalyst-Authentication-Store-DBIx-Class-0.1082-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Catalyst-Authentication-Store-DBIx-Class-0.1082-2.fc10
Comment 10 Fedora Update System 2009-01-14 21:54:58 EST
perl-Catalyst-Authentication-Store-DBIx-Class-0.1082-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-01-14 22:10:36 EST
perl-Catalyst-Authentication-Store-DBIx-Class-0.1082-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.